Subject: bug#65039: 30.0.50; [PATCH] Add bookmark handler for M-x shell

From: Jim Porter <[email-masked]>
Date: Fri, 4 Aug 2023 10:01:12 -0700

On 8/4/2023 2:20 AM, Protesilaos Stavrou wrote:
> The code is adapted from Eshell, which has the capability you describe.
> I do not have the means to test an SSH connection.  Though I tried the
> 'sudo' TRAMP method and the bookmarking correctly logs me in as root
> when I do 'bookmark-jump'.  This works even if I kill the shell buffer
> and all TRAMP buffers.

For what it's worth, when I want to test Tramp support (especially in 
something like Eshell or Shell), I just connect to localhost via 
"/ssh:localhost:~" or similar. So long as your system is running sshd, 
that should work fine.